Bug 2073468 - Bootdisk Provisioning Templates are missing description
Summary: Bootdisk Provisioning Templates are missing description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.11.0
Assignee: Marek Hulan
QA Contact: Ondrej Gajdusek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-08 14:46 UTC by Ondrej Gajdusek
Modified: 2022-07-05 14:35 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_bootdisk-19.0.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:35:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34778 0 Normal New Bootdisk Provisioning Templates are missing description 2022-04-14 17:55:57 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:35:23 UTC

Description Ondrej Gajdusek 2022-04-08 14:46:06 UTC
Description of problem:
There are 4 Provisioning Templates related to bootdisk which do not contain description.

Affected templates:
Boot disk Grub2 EFI - generic host
Boot disk iPXE - generic host
Boot disk iPXE - generic static host
Boot disk iPXE - host

Version-Release number of selected component (if applicable):
Satellite 7.0.0/6.11.0 snap 14
foreman-3.1.1.9-1.el8sat.noarch
rubygem-foreman_bootdisk-19.0.3-1.el8sat.noarch

How reproducible:
always

Steps to Reproduce:
1. edit individual Provisioning Templates
2. see the Description text box below the Ace editor frame

Actual results:
Templates are missing description.

Expected results:
Each and every supported Provisioning Template should contain a description.

Additional info:

Comment 1 Marek Hulan 2022-04-14 17:55:56 UTC
Created redmine issue https://projects.theforeman.org/issues/34778 from this bug

Comment 2 Bryan Kearney 2022-04-14 20:05:03 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 3 Bryan Kearney 2022-04-14 20:05:04 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 Bryan Kearney 2022-04-25 16:05:26 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34778 has been resolved.

Comment 6 Ondrej Gajdusek 2022-05-16 10:58:29 UTC
Verified in 6.11 snap 20

My findings are identical to Griffin's in BZ2073469#c7.

Description is present in the metadata area of the template, but not in the actual description field.

Steps to Reproduce:
1. Go to Hosts > Provisioning Templates > Boot disk Grub2 EFI - generic host,
Boot disk iPXE - generic host,
Boot disk iPXE - generic static host,
Boot disk iPXE - host,

Expected Results:
Description is found under the description field for bootdisk templates.

Actual Results:
Description is only in the template editor.


Notes:
According to the notes in BZ2073469#c7, there is a BZ2085490 reported to fix the described behavior.

Comment 9 errata-xmlrpc 2022-07-05 14:35:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.